diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed-atom.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed-atom.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed-atom.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed-atom.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 21,27 ****
  
  	<updated><?php echo mysql2date('Y-m-d\TH:i:s\Z', get_lastpostmodified('GMT'), false); ?></updated>
  
! 	<link rel="alternate" type="text/html" href="<?php bloginfo_rss('url') ?>" />
  	<id><?php bloginfo('atom_url'); ?></id>
  	<link rel="self" type="application/atom+xml" href="<?php self_link(); ?>" />
  
--- 21,27 ----
  
  	<updated><?php echo mysql2date('Y-m-d\TH:i:s\Z', get_lastpostmodified('GMT'), false); ?></updated>
  
! 	<link rel="alternate" type="<?php bloginfo_rss('html_type'); ?>" href="<?php bloginfo_rss('url') ?>" />
  	<id><?php bloginfo('atom_url'); ?></id>
  	<link rel="self" type="application/atom+xml" href="<?php self_link(); ?>" />
  
***************
*** 36,42 ****
  			do_action('atom_author'); ?>
  		</author>
  		<title type="<?php html_type_rss(); ?>"><![CDATA[<?php the_title_rss() ?>]]></title>
! 		<link rel="alternate" type="text/html" href="<?php the_permalink_rss() ?>" />
  		<id><?php the_guid() ; ?></id>
  		<updated><?php echo get_post_modified_time('Y-m-d\TH:i:s\Z', true); ?></updated>
  		<published><?php echo get_post_time('Y-m-d\TH:i:s\Z', true); ?></published>
--- 36,42 ----
  			do_action('atom_author'); ?>
  		</author>
  		<title type="<?php html_type_rss(); ?>"><![CDATA[<?php the_title_rss() ?>]]></title>
! 		<link rel="alternate" type="<?php bloginfo_rss('html_type'); ?>" href="<?php the_permalink_rss() ?>" />
  		<id><?php the_guid() ; ?></id>
  		<updated><?php echo get_post_modified_time('Y-m-d\TH:i:s\Z', true); ?></updated>
  		<published><?php echo get_post_time('Y-m-d\TH:i:s\Z', true); ?></published>
***************
*** 47,54 ****
  <?php endif; ?>
  <?php atom_enclosure(); ?>
  <?php do_action('atom_entry'); ?>
! 		<link rel="replies" type="text/html" href="<?php the_permalink_rss() ?>#comments" thr:count="<?php echo get_comments_number()?>"/>
! 		<link rel="replies" type="application/atom+xml" href="<?php echo get_post_comments_feed_link(0,'atom') ?>" thr:count="<?php echo get_comments_number()?>"/>
  		<thr:total><?php echo get_comments_number()?></thr:total>
  	</entry>
  	<?php endwhile ; ?>
--- 47,54 ----
  <?php endif; ?>
  <?php atom_enclosure(); ?>
  <?php do_action('atom_entry'); ?>
! 		<link rel="replies" type="<?php bloginfo_rss('html_type'); ?>" href="<?php the_permalink_rss() ?>#comments" thr:count="<?php echo get_comments_number()?>"/>
! 		<link rel="replies" type="application/atom+xml" href="<?php echo esc_url( get_post_comments_feed_link(0, 'atom') ); ?>" thr:count="<?php echo get_comments_number()?>"/>
  		<thr:total><?php echo get_comments_number()?></thr:total>
  	</entry>
  	<?php endwhile ; ?>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 140,145 ****
--- 140,146 ----
   * @see get_the_content()
   *
   * @param string $feed_type The type of feed. rss2 | atom | rss | rdf
+  * @return string The filtered content.
   */
  function get_the_content_feed($feed_type = null) {
  	if ( !$feed_type )
***************
*** 487,498 ****
   */
  function self_link() {
  	$host = @parse_url(home_url());
! 	$host = $host['host'];
! 	echo esc_url(
! 		( is_ssl() ? 'https' : 'http' ) . '://'
! 		. $host
! 		. stripslashes($_SERVER['REQUEST_URI'])
! 		);
  }
  
  /**
--- 488,494 ----
   */
  function self_link() {
  	$host = @parse_url(home_url());
! 	echo esc_url( set_url_scheme( 'http://' . $host['host'] . stripslashes($_SERVER['REQUEST_URI']) ) );
  }
  
  /**
***************
*** 531,540 ****
  	require_once (ABSPATH . WPINC . '/class-feed.php');
  
  	$feed = new SimplePie();
  	$feed->set_feed_url($url);
! 	$feed->set_cache_class('WP_Feed_Cache');
! 	$feed->set_file_class('WP_SimplePie_File');
! 	$feed->set_cache_duration(apply_filters('wp_feed_cache_transient_lifetime', 43200, $url));
  	do_action_ref_array( 'wp_feed_options', array( &$feed, $url ) );
  	$feed->init();
  	$feed->handle_content_type();
--- 527,543 ----
  	require_once (ABSPATH . WPINC . '/class-feed.php');
  
  	$feed = new SimplePie();
+ 
+ 	$feed->set_sanitize_class( 'WP_SimplePie_Sanitize_KSES' );
+ 	// We must manually overwrite $feed->sanitize because SimplePie's
+ 	// constructor sets it before we have a chance to set the sanitization class
+ 	$feed->sanitize = new WP_SimplePie_Sanitize_KSES();
+ 
+ 	$feed->set_cache_class( 'WP_Feed_Cache' );
+ 	$feed->set_file_class( 'WP_SimplePie_File' );
+ 
  	$feed->set_feed_url($url);
! 	$feed->set_cache_duration( apply_filters( 'wp_feed_cache_transient_lifetime', 12 * HOUR_IN_SECONDS, $url ) );
  	do_action_ref_array( 'wp_feed_options', array( &$feed, $url ) );
  	$feed->init();
  	$feed->handle_content_type();
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed-rss2-comments.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed-rss2-comments.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed-rss2-comments.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed-rss2-comments.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 19,29 ****
  <channel>
  	<title><?php
  		if ( is_singular() )
! 			printf(ent2ncr(__('Comments on: %s')), get_the_title_rss());
  		elseif ( is_search() )
! 			printf(ent2ncr(__('Comments for %s searching on %s')), get_bloginfo_rss( 'name' ), esc_attr($wp_query->query_vars['s']));
  		else
! 			printf(ent2ncr(__('Comments for %s')), get_bloginfo_rss( 'name' ) . get_wp_title_rss());
  	?></title>
  	<atom:link href="<?php self_link(); ?>" rel="self" type="application/rss+xml" />
  	<link><?php (is_single()) ? the_permalink_rss() : bloginfo_rss("url") ?></link>
--- 19,29 ----
  <channel>
  	<title><?php
  		if ( is_singular() )
! 			printf( ent2ncr( __( 'Comments on: %s' ) ), get_the_title_rss() );
  		elseif ( is_search() )
! 			printf( ent2ncr( __( 'Comments for %1$s searching on %2$s' ) ), get_bloginfo_rss( 'name' ), get_search_query() );
  		else
! 			printf( ent2ncr( __( 'Comments for %s' ) ), get_bloginfo_rss( 'name' ) . get_wp_title_rss() );
  	?></title>
  	<atom:link href="<?php self_link(); ?>" rel="self" type="application/rss+xml" />
  	<link><?php (is_single()) ? the_permalink_rss() : bloginfo_rss("url") ?></link>
***************
*** 54,60 ****
  		<description><?php echo ent2ncr(__('Protected Comments: Please enter your password to view comments.')); ?></description>
  		<content:encoded><![CDATA[<?php echo get_the_password_form() ?>]]></content:encoded>
  <?php else : // post pass ?>
! 		<description><?php comment_text_rss() ?></description>
  		<content:encoded><![CDATA[<?php comment_text() ?>]]></content:encoded>
  <?php endif; // post pass
  	do_action('commentrss2_item', $comment->comment_ID, $comment_post->ID);
--- 54,60 ----
  		<description><?php echo ent2ncr(__('Protected Comments: Please enter your password to view comments.')); ?></description>
  		<content:encoded><![CDATA[<?php echo get_the_password_form() ?>]]></content:encoded>
  <?php else : // post pass ?>
! 		<description><![CDATA[<?php comment_text_rss() ?>]]></description>
  		<content:encoded><![CDATA[<?php comment_text() ?>]]></content:encoded>
  <?php endif; // post pass
  	do_action('commentrss2_item', $comment->comment_ID, $comment_post->ID);
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed-rss2.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed-rss2.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed-rss2.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed-rss2.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 41,53 ****
  
  		<guid isPermaLink="false"><?php the_guid(); ?></guid>
  <?php if (get_option('rss_use_excerpt')) : ?>
! 		<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>
  <?php else : ?>
! 		<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>
! 	<?php if ( strlen( $post->post_content ) > 0 ) : ?>
! 		<content:encoded><![CDATA[<?php the_content_feed('rss2') ?>]]></content:encoded>
  	<?php else : ?>
! 		<content:encoded><![CDATA[<?php the_excerpt_rss() ?>]]></content:encoded>
  	<?php endif; ?>
  <?php endif; ?>
  		<wfw:commentRss><?php echo esc_url( get_post_comments_feed_link(null, 'rss2') ); ?></wfw:commentRss>
--- 41,54 ----
  
  		<guid isPermaLink="false"><?php the_guid(); ?></guid>
  <?php if (get_option('rss_use_excerpt')) : ?>
! 		<description><![CDATA[<?php the_excerpt_rss(); ?>]]></description>
  <?php else : ?>
! 		<description><![CDATA[<?php the_excerpt_rss(); ?>]]></description>
! 	<?php $content = get_the_content_feed('rss2'); ?>
! 	<?php if ( strlen( $content ) > 0 ) : ?>
! 		<content:encoded><![CDATA[<?php echo $content; ?>]]></content:encoded>
  	<?php else : ?>
! 		<content:encoded><![CDATA[<?php the_excerpt_rss(); ?>]]></content:encoded>
  	<?php endif; ?>
  <?php endif; ?>
  		<wfw:commentRss><?php echo esc_url( get_post_comments_feed_link(null, 'rss2') ); ?></wfw:commentRss>
